<?php

/**
 * A simple properties representation.
 */
class PhotoSwipeSimpleProperties {

	private $data = array();

	public function set($name, $value) {
		$this->data [$name] = $value;
	}

	public function get($name) {
		if (array_key_exists($name, $this->data)) {
			return $this->data [$name];
		}
		return null;
	}

	public function __isset($name) {
		return isset($this->data [$name]);
	}

	public function __unset($name) {
		unset($this->data [$name]);
	}

	public function keyExists($name) {
		return array_key_exists($name, $this->data);
	}

	public function toArray() {
		return $this->data;
	}

} 